| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
StatusCodeSvc::StatCodeDat Struct Referencefinal
Collaboration diagram for StatusCodeSvc::StatCodeDat:
[legend]

## Public Member Functions
| StatCodeDat (const std::string f, const std::string l)
| StatCodeDat (StatCodeDat &&o)
| StatCodeDat (const StatCodeDat &o)

## Public Attributes
std::string | fnc
std::string | lib
std::atomic< unsigned int > | count {1}

## Detailed Description

Definition at line 24 of file StatusCodeSvc.h.

## Constructor & Destructor Documentation

## ◆ StatCodeDat() [1/3]

StatusCodeSvc::StatCodeDat::StatCodeDat | ( | const std::string | f,
|  | const std::string | l
| ) |  |
| inline

Definition at line 26 of file StatusCodeSvc.h.

26 : fnc( f ), lib( l ) {}
StatusCodeSvc::StatCodeDat::fnc
std::string fnc
Definition: StatusCodeSvc.h:29
StatusCodeSvc::StatCodeDat::lib
std::string lib
Definition: StatusCodeSvc.h:30
gaudirun.l
dictionary l
Definition: gaudirun.py:521

## ◆ StatCodeDat() [2/3]

StatusCodeSvc::StatCodeDat::StatCodeDat | ( | StatCodeDat && | o | ) |
| inline

Definition at line 27 of file StatusCodeSvc.h.

27 : fnc( o.fnc ), lib( o.lib ), count( o.count.load() ) {}
StatusCodeSvc::StatCodeDat::count
std::atomic< unsigned int > count
Definition: StatusCodeSvc.h:31
StatusCodeSvc::StatCodeDat::fnc
std::string fnc
Definition: StatusCodeSvc.h:29
StatusCodeSvc::StatCodeDat::lib
std::string lib
Definition: StatusCodeSvc.h:30

## ◆ StatCodeDat() [3/3]

StatusCodeSvc::StatCodeDat::StatCodeDat | ( | const StatCodeDat & | o | ) |
| inline

Definition at line 28 of file StatusCodeSvc.h.

28 : fnc( o.fnc ), lib( o.lib ), count( o.count.load() ) {}
StatusCodeSvc::StatCodeDat::count
std::atomic< unsigned int > count
Definition: StatusCodeSvc.h:31
StatusCodeSvc::StatCodeDat::fnc
std::string fnc
Definition: StatusCodeSvc.h:29
StatusCodeSvc::StatCodeDat::lib
std::string lib
Definition: StatusCodeSvc.h:30

## Member Data Documentation

## ◆ count

std::atomic<unsigned int> StatusCodeSvc::StatCodeDat::count {1}

Definition at line 31 of file StatusCodeSvc.h.

## ◆ fnc

std::string StatusCodeSvc::StatCodeDat::fnc

Definition at line 29 of file StatusCodeSvc.h.

## ◆ lib

std::string StatusCodeSvc::StatCodeDat::lib

Definition at line 30 of file StatusCodeSvc.h.

The documentation for this struct was generated from the following file:

- GaudiCommonSvc/src/StatusCodeSvc.h